ChartItem (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.flow.item
Class ChartItem

    java.lang.Object
      org.maltparser.core.flow.item.ChartItem

Direct Known Subclasses:
  ConfigDirChartItem, CopyChartItem, PseudoProjChartItem, ReadChartItem, SingleMaltChartItem, SyntaxGraphChartItem, WriteChartItem

    public abstract class ChartItem

extends Object

Author:
  Johan Hall

Field Summary
`protected ChartItemSpecification` | `chartItemSpecification`
`static int` | `CONTINUE`
`protected FlowChartInstance` | `flowChartinstance`
`static int` | `NEWITERATION`
`static int` | `TERMINATE`

Constructor Summary
`ChartItem()`

Method Summary
`ChartElement` | `getChartElement(String key)` Returns the chart element in the flow chart system description
`ChartItemSpecification` | `getChartItemSpecification()` Returns a chart item specification
`FlowChartInstance` | `getFlowChartInstance()` Returns the flow chart instance that the chart item belongs to
`int` | `getOptionContainerIndex()` Returns the option container index
`void` | `initialize(FlowChartInstance flowChartinstance, ChartItemSpecification chartItemSpecification)` Initialize the chart item
`abstract int` | `postprocess(int signal)` Cause the chart item to perform the postprocess tasks
`abstract int` | `preprocess(int signal)` Cause the chart item to perform the preprocess tasks
`abstract int` | `process(int signal)` Cause the chart item to perform the process task (for every sentence)
`void` | `setChartItemSpecification(ChartItemSpecification chartItemSpecification)` Sets the specification of the chart item
`protected void` | `setFlowChartInstance(FlowChartInstance flowChartinstance)` Sets the flow chart instance that the chart item belongs to
`abstract void` | `terminate()` Terminates and cleans up the chart item

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flowChartinstance

    protected FlowChartInstance flowChartinstance

### chartItemSpecification

    protected ChartItemSpecification chartItemSpecification

### CONTINUE

    public static final int CONTINUE

See Also:
  Constant Field Values

### TERMINATE

    public static final int TERMINATE

See Also:
  Constant Field Values

### NEWITERATION

    public static final int NEWITERATION

See Also:
  Constant Field Values

Constructor Detail

### ChartItem

    public ChartItem()

Method Detail

### initialize

    public void initialize(FlowChartInstance flowChartinstance,
                           ChartItemSpecification chartItemSpecification)
                    throws MaltChainedException

  Initialize the chart item

  Parameters:
    `flowChartinstance` - the flow chart instance that the chart item belongs to
    `chartItemSpecification` - a specification of the chart item
  Throws:
    `MaltChainedException`

### preprocess

    public abstract int preprocess(int signal)
                            throws MaltChainedException

  Cause the chart item to perform the preprocess tasks

  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### process

    public abstract int process(int signal)
                         throws MaltChainedException

  Cause the chart item to perform the process task (for every sentence)

  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if it is ready to perform the next sentence, otherwise false
  Throws:
    `MaltChainedException`

### postprocess

    public abstract int postprocess(int signal)
                             throws MaltChainedException

  Cause the chart item to perform the postprocess tasks

  Parameters:
    `signal` - returned by the previous chart item
  Returns:
    true if every thing is ok, otherwise false
  Throws:
    `MaltChainedException`

### terminate

    public abstract void terminate()
                            throws MaltChainedException

  Terminates and cleans up the chart item

  Throws:
    `MaltChainedException`

### getFlowChartInstance

    public FlowChartInstance getFlowChartInstance()

  Returns the flow chart instance that the chart item belongs to

  Returns:
    the flow chart instance that the chart item belongs to

### setFlowChartInstance

    protected void setFlowChartInstance(FlowChartInstance flowChartinstance)

  Sets the flow chart instance that the chart item belongs to

  Parameters:
    `flowChartinstance` - a flow chart instance

### getOptionContainerIndex

    public int getOptionContainerIndex()

  Returns the option container index

  Returns:
    the option container index

### getChartElement

    public ChartElement getChartElement(String key)

  Returns the chart element in the flow chart system description

  Parameters:
    `key` - a chart element key
  Returns:
    the chart element in the flow chart system description

### getChartItemSpecification

    public ChartItemSpecification getChartItemSpecification()

  Returns a chart item specification

  Returns:
    a chart item specification

### setChartItemSpecification

    public void setChartItemSpecification(ChartItemSpecification chartItemSpecification)

  Sets the specification of the chart item

  Parameters:
    `chartItemSpecification` - a chart item specification

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.